Subject: [pmtud] IPIP tunnels and PMTUD

From: Lars Eggert <[email-masked]>
Date: Sat, 19 Jul 2003 12:53:15 +0200

Hi,

just wanted to quickly repeat what I mentioned at the mike in Vienna:

draft-touch-ipsec-vpn-05.txt (currently unter IESG review on its way to 
Informational) proposes a simpler and more modular alternative to IPsec 
tunnel mode by composing RFC2003 IPIP tunnels and IPsec transport mode. 
Appendix A discusses issues with IPsec tunnel mode and PMTU discovery 
caused by RFC2041 deviating from RFC2003's rules (which in our view is a 
deliberate spec violation, since IP-in-IP is "owned" by MobileIP.)

ftp://ftp.isi.edu/internet-drafts/draft-touch-ipsec-vpn-05.txt

Lars

PS: RFC2003 was undergoing revision, which would be a good opportunity 
to tweak its PMTUD-related sections, but the revision seems to have 
stalled lately.
-- 
Lars Eggert <[email-masked]>           USC Information Sciences Institute